import request from '@/utils/request'

export function getPartPage(data) {
  return request({
    url: '/js-divide-circle/page',
    method: 'get',
    params: data
  })
}

export function getPartList(data) {
  return request({
    url: '/js-divide-circle/list',
    method: 'post',
    data: data
  })
}

export function getPartDetail(data) {
  return  request({
    url: '/js-divide-circle/listById',
    method: 'post',
    data: data
  })
}

export function addPartPage(data) {
  return request({
    url: '/js-divide-circle/add',
    method: 'post',
    data: data
  })
}

export function editPartPage(data) {
  return request({
    url: '/js-divide-circle/edit',
    method: 'post',
    data: data
  })
}

export function delPartPage(data) {
  return request({
    url: '/js-divide-circle/delete',
    method: 'post',
    data: data
  })
}

// 获取分圈批次 同进场批次一样
export function getPartItem(data) {
  return request({
    url: '/js-divide-circle/listSeries',
    method: 'get',
    params: data
  })
}

